Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5141)
@@ -73,4 +73,6 @@
 
 SUBROUTINE cv_prelim(len, nd, ndp1, t, q, p, ph, lv, cpn, tv, gz, h, hm)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
@@ -91,5 +93,4 @@
   REAL cpx(len, nd)
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -249,7 +250,8 @@
 SUBROUTINE cv_undilute1(len, nd, t, q, qs, gz, p, nk, icb, icbmax, tp, tvp, &
         clw)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -472,4 +474,6 @@
 SUBROUTINE cv_undilute2(nloc, ncum, nd, icb, nk, tnk, qnk, gznk, t, q, qs, &
         gz, p, dph, h, tv, lv, inb, inb1, tp, tvp, clw, hp, ep, sigp, frac)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
@@ -484,5 +488,4 @@
   ! ---------------------------------------------------------------------
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -752,4 +755,6 @@
 SUBROUTINE cv_closure(nloc, ncum, nd, nk, icb, tv, tvp, p, ph, dph, plcl, &
         cpn, iflag, cbmf)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
@@ -770,5 +775,4 @@
   REAL work(nloc)
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -834,7 +838,8 @@
         h, lv, qnk, hp, tv, tvp, ep, clw, cbmf, m, ment, qent, uent, vent, nent, &
         sij, elij)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -1083,7 +1088,8 @@
 SUBROUTINE cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, h, lv, &
         ep, sigp, clw, m, ment, elij, iflag, mp, qp, up, vp, wt, water, evap)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cvparam.h"
 
@@ -1282,7 +1288,8 @@
         ment, qent, uent, vent, nent, elij, tv, tvp, iflag, wd, qprime, tprime, &
         precip, cbmf, ft, fq, fu, fv, ma, qcondc)
+  USE lmdz_cvthermo
+
   IMPLICIT NONE
 
-  include "cvthermo.h"
   include "cvparam.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_cv3param.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_cv3param.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_cv3param.f90	(revision 5141)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cv3param.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_cvthermo.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_cvthermo.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_cvthermo.f90	(revision 5141)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cvthermo.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5141)
@@ -41,4 +41,6 @@
 #endif
 #endif
+USE lmdz_cvthermo
+
   IMPLICIT NONE
   ! ============================================================================
@@ -136,5 +138,4 @@
 
   include "YOMCST.h"
-  include "cvthermo.h"
 
   ! Arguments en entree
